Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.resource
Class URLResource

    java.lang.Object
      org.apache.cayenne.resource.URLResource

All Implemented Interfaces:
  java.io.Serializable, Resource

    public class URLResource

extends java.lang.Object
implements Resource

A `Resource` implementation wrapping a resource URL.

Since:
  3.1
See Also:
  Serialized Form

Constructor Summary
`URLResource(java.net.URL url)`

Method Summary
`Resource` | `getRelativeResource(java.lang.String relativePath)` Returns a resource resolved relatively to the current resource.
`java.net.URL` | `getURL()` Returns a resource URL to read (and possibly write) the resource data.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### URLResource

    public URLResource(java.net.URL url)

Method Detail

### getRelativeResource

    public Resource getRelativeResource(java.lang.String relativePath)

  Description copied from interface: `Resource`
  Returns a resource resolved relatively to the current resource. E.g. DataMap files can be resolved relatively to cayenne.xml.

  Specified by:
    `getRelativeResource` in interface `Resource`

### getURL

    public java.net.URL getURL()

  Description copied from interface: `Resource`
  Returns a resource URL to read (and possibly write) the resource data.

  Specified by:
    `getURL` in interface `Resource`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Apache Cayenne. All Rights Reserved.